Se você está tendo problemas ao tentar usar o webpack 4 e mocha no seu projeto laravel mix ou até mesmo somente no vue, você pode usar a versão 3 do webpack ou pode atualizar o mocha para a versão 2 beta:

npm install mocha-webpack@next